Subject: [Megaco] Streams & mixing

From: Dan Elbert <[email-masked]>
Date: Tue, 28 May 2002 15:52:57 +0300

Hi Christian
So do you think this should be a context property ?
I'm talking now about a v.1 implementation, so the evolution path may be to
put this in a mixer termination for now and later move this to a context
property.
I think we need packages defined, nobody seems to be working on this lately.
In any case, how do you think it should work after mixing the input streams
an producing the  output stream ? It seems to required to open in every rtp
termination 2 streams, 1 with only local descriptor (the input one) and one
with only remote descriptor (the output one). Does this seems OK ?

Thanks
Dan Elbert

RADVISION

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Tuesday, May 28, 2002 4:40 AM
To: Dan Elbert
Cc: [email-masked]'
Subject: Re: [Megaco] Streams & mixing

G'Day Dan,

I'm not overly comfortable of having a seperate "mixer" termination when
really
its a function of the context. PErhaps what is needed is to further develop
the
requirements that were drafted on conferencing to come up with a few
packages.
One of which could define a property that is a list of streamIDs to be mixed
and
then sent to a single output stream.

Regards, Christian

Dan Elbert wrote:
>
> Hi
> Let's assume that I have n input video streams, n rtp terminations
> representing them, a mixing unit represented by a mixing termination, and
m
> output streams ( m<=n ) being mapped to the rtp terminations in some way.
> One way to implement this could be to assign stream id=1 to all the input
> streams and set the mode to receive only in the rtp terms, and sendrecv in
> the mixing term, and then to create m additional streams exiting the
mixing
> termination, and to put one of this m streams in every rtp termination
> according to the mapping.
> In this case stream 1 (input) has only local descriptor, and the output
> stream has only remote descriptor.
> This looks weird but if the same stream id is used for input and output I
> don't know how to indicate the mapping unless is some kind of "magic"
> happening in the mixer term so that every rtp term generates the right
> output stream.
> Any comments ?
>
> Dan Elbert
> RADVISION
>
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

DISCLAIMER: This message is proprietary to Hughes Software Systems
Limited (HSS) and is intended solely for the use of the individual
to whom it is addressed. It may contain  privileged or confidential
information  and should not be circulated or used for any purpose other
than for what it is intended. If you have received this message in error,
please notify the originator immediately. If you are not the intended
recipient, you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message. HSS accepts
no responsibility for loss or damage arising from the use of the information
transmitted by this email including damage from virus.

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco